> For the complete documentation index, see [llms.txt](https://docs.wanchain.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wanchain.org/developers/wanbridge-api/3.-circle-cctp-cross-chain/3.1-evm-compatible-chains.md).

# 3.1 EVM Compatible Chains

The following table lists the contract addresses and corresponding domain values for supported EVM-compatible chains:

| **Chain Name** | **Contract Address**                       | **domainValue** |
| -------------- | ------------------------------------------ | --------------- |
| Ethereum       | 0xeC0D8Cfd081ccce2D6Ed4E3dd8f248D3cAa3d24B | 0               |
| Avalanche      | 0x0D4d2595B1d83AB6110b4291816D62d1417C5A8B | 1               |
| OP Mainnet     | 0x592dE30Bebff484B5a43A6E8E3ec1a814902E0b6 | 2               |
| Arbitrum       | 0xD4B5f10D61916Bd6E0860144a91Ac658dE8a1437 | 3               |
| Base           | 0x012297F3d1Cb0D685B195A70231730F4c8c86F86 | 6               |
| Polygon PoS    | 0x30b8d9e757595B5cbAEcdFD81e9Eeccf4B31e53D | 7               |

The usage method of WanBridge's CCTP is as follows:

1. Call the contract interface `estimateFee` on the From chain to get the cross-chain fee (native coin). Provide the `domainValue` of the To chain as input.
2. Call the contract interface `depositForBurn` function on the From chain to initiate the USDC cross-chain transfer, pass the native coin fee as `payableAmount`, the cross-chain amount as `amount`, the domain value as `destinationDomain`, the receiving address on the To chain as `mintRecipient`, and the USDC token address on the From chain as `burnToken`.
3. The WanBridge backend will monitor events and help users complete the **claim** operation on the To chain.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.wanchain.org/developers/wanbridge-api/3.-circle-cctp-cross-chain/3.1-evm-compatible-chains.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
